var fortunes = [];
var lastPick = -1;

// turn long string of fortunes into this._fortunes array
var parseFortunes = function (fortuneData) {
	return fortuneData.split("\n%\n");
};

// return HTML formatted version of raw fortune text string
var formatFortune = function(fortune) {
	// turn -- into mdash characters and 
	// turn LF/TAB into HTML break plus nonbreaking spaces
	return fortune.replace(/\-\- /g, "&mdash; ")
			.replace(/\n\t/g, "<br>&nbsp;&nbsp;&nbsp;&nbsp; ");
};

// pick a random fortune from the array of fortunes
var fetchNewFortune = function() {  
	var pick;
	do {
		pick = Math.floor(Math.random() * fortunes.length);
	} while (pick === lastPick);
	lastPick = pick;
	return formatFortune(fortunes[pick]);
};

var fs = require("fs");
var Service = require('webos-service');
var service = new Service("com.palmdts.txjsfortune.service");

service.register("getFortune", function(message) {
	if (fortunes.length === 0) {
		var fortuneData = fs.readFileSync("fortunes.txt", "utf8");
		if (fortuneData) {
			fortunes = parseFortunes(fortuneData);
			message.respond({
				"fortune": fetchNewFortune(),
				"returnValue": true
			});
		} else {
			message.respond({
				"returnValue": false
			});
		}
	} else {
		message.respond({
			"fortune": fetchNewFortune(),
			"returnValue": true
		});
	}
});
