/*
 * Fortune Cookie Sample
 *
 * Fortune Cookie image taken from http://commons.wikimedia.org/wiki/File:Fortune_cookie.jpg, 
 * used under CC 3.0 Attribution Share Alike license.
 *
 * Fortune Cookie database from https://github.com/bmc/fortunes/, 
 * fetched from https://raw.github.com/bmc/fortunes/master/fortunes
 */

enyo.kind({
	name: "App",
	kind: "FittableRows",
	fit: true,
	components:[
		/*
		 * 3 examples of different ways to get fortunes
		 * Have 1 of the 3 uncommented to see it work
		 */
		// {kind: "LocalFortunes", name: "fortunes"},
		{kind: "FortuneJar", name: "fortunes"},
		// {kind: "FortuneService", name: "fortunes"},
		{kind: "onyx.Toolbar", content:"Fortune Cookie"},
		{kind: "enyo.FittableColumns", fit: true, components: [
			{style:"width:320px;", components:[
				{kind: "Image", src: "assets/Fortune_cookie_320x320.png", style: "padding: 10px;"}
			]},
			{name: "output", allowHtml:true, fit:true, classes: "fortuneCookie", 
					content: "Help, I'm being held prisoner in a fortune cookie factory."}
		]},
		{style:"padding:55px; text-align:center;", components:[
			{kind: "onyx.Button", content: "New Fortune", ontap: "showNewFortune" }
		]}
	],
	showNewFortune: function(inSender, inEvent) {
		this.$.fortunes.fetchNewFortune(enyo.bind(this, function(fortune) { 
			  this.$.output.setContent(fortune);
		}));
	}
});
